Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Papyrus » Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error(Require-Bundle is missing)
Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error [message #826365] Wed, 21 March 2012 21:15 Go to next message
MyungWoon Oh is currently offline MyungWoon Oh
Messages: 30
Registered: March 2012
Member
Papyrus source can be downloaded in

www.eclipse.org/modeling/mdt/papyrus/downloads/index.php

I downloaded 0.8.2-SR2-RC4 which is Stable Build,
and extracted sources folder and imported it into Eclipse3.7.2.

In the MANIFEST.MF file there is no 'Require-Bundle' element,
so dependencies are broken.
I tested about 10 plugins and non of them had Require-Bundle in its MF file.

Finding require bundles from 'import' sentences of .java file
and adding bundles to 'Dependencies' takes very long time and is very tedious.

How can I get 'Require-Bundle'?

I attach one example MF file which is missing 'Require-Bundle'.




  • Attachment: MANIFEST.MF
    (Size: 1.70KB, Downloaded 85 times)
Re: Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error [message #826578 is a reply to message #826365] Thu, 22 March 2012 04:43 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille Letavernier
Messages: 399
Registered: February 2011
Senior Member
Hello,

The source jar only contains the Java files.

All resources (Models, Manifest, ...) are contained in the Binary jar.

The "Import Plug-ins and Fragments" menu in Eclipse works fine for importing source files with all required resources (However, I think you need to install Papyrus from the downloaded update site first).
Re: Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error [message #871326 is a reply to message #826578] Fri, 11 May 2012 20:16 Go to previous messageGo to next message
MyungWoon Oh is currently offline MyungWoon Oh
Messages: 30
Registered: March 2012
Member
Camille Letavernier wrote on Thu, 22 March 2012 04:43
Hello,

The source jar only contains the Java files.

All resources (Models, Manifest, ...) are contained in the Binary jar.

The "Import Plug-ins and Fragments" menu in Eclipse works fine for importing source files with all required resources (However, I think you need to install Papyrus from the downloaded update site first).


Thanks Camille. Smile

When I did 'Import Plug-ins and Fragments' only with binary jar files,
I could run Papyrus as a runtime-application, but I didn't have any source.

But when I did 'Import Plug-ins and Fragments' with source jar files together with binary jar files,
I could get source files which have hundreds of build errors.

For example, many plug-ins contains unusual folder like 'custom-src', 'src-gen',
and uses those folders as build path, which doesn't match with binary jar files.
And a lot of Manifest.MF file show error like 'org.eclipse.papyrus.core not resolved' although there is no error in Dependency tab.

I tried both SR2_RC4 (2012/02/15) and N201204301213 (2012/04/30),
I couldn't build from the source.

What I want is to build Papyrus from the source to study how it works, not just install and use it. ^^
I spent over a month to solve this problem, but I couldn't get the answer. Crying or Very Sad

Please help me out.. Wink
Re: Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error [message #871481 is a reply to message #871326] Mon, 14 May 2012 02:27 Go to previous messageGo to next message
MyungWoon Oh is currently offline MyungWoon Oh
Messages: 30
Registered: March 2012
Member
Finally I did it.
Not with SR2_RC4 (2012/02/15), but with R201106151305 (2011/06/15).

Need additional Plugins, change Encoding of Eclipse, Run Configuration
and, modification of some Dependencies and source codes.

I don't translate the solution in English yet,
but I'll provide if someone need it.

Thank you.
Re: Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error [message #881852 is a reply to message #871481] Tue, 05 June 2012 07:31 Go to previous messageGo to next message
Noelia as is currently offline Noelia as
Messages: 13
Registered: June 2012
Junior Member
Hello,

I need to extend the plugin papyrus, then I need its source code, for compile and run but there are many errors. Can you Help?

Thanks.
Re: Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error [message #881856 is a reply to message #826365] Tue, 05 June 2012 07:41 Go to previous messageGo to next message
Camille Letavernier is currently offline Camille Letavernier
Messages: 399
Registered: February 2011
Senior Member
Hello,

You should have a look at the following topic:

http://www.eclipse.org/forums/index.php/t/351495/


Camille

[Updated on: Tue, 05 June 2012 07:41]

Report message to a moderator

Re: Papyrus 0.8.2-SR2-RC4 MANIFEST.MF file error [message #882830 is a reply to message #881856] Thu, 07 June 2012 05:29 Go to previous message
Noelia as is currently offline Noelia as
Messages: 13
Registered: June 2012
Junior Member
Hello,

This don't help me
Previous Topic:Assign value to a property
Next Topic:How to visualize elements programatically
Goto Forum:
  


Current Time: Sun Apr 20 19:47:00 EDT 2014

Powered by FUDForum. Page generated in 0.01712 seconds